Name: python-module-pygnome
Version: 2.10.0
Release: alt1

Summary: Set of bindings for the GNOME2 platform library

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-python/2.9/gnome-python-%version.tar.bz2

%setup_python_module pygnome

%define python_gnome_dir %python_sitelibdir/gtk-2.0/gnome

Obsoletes: gnome-python
Obsoletes: gnome-python2
Obsoletes: %name-zvt
Obsoletes: %name-nautilus
Provides: gnome-python2 = %version-%release
Requires: python%__python_version(ORBit)

# manually removed: eric gcc-g77 gnome-libs-devel XFree86-libs  xorg-x11-libs
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: ORBit2-devel fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel pkgconfig python-base python-dev python-module-pygtk-devel python-module-pyorbit-devel python-modules-compiler python-modules-encodings xorg-x11-devel

BuildRequires: libgtkhtml2-devel >= 2.0.0

%description
This package is a set of bindings for the Gnome platform
libraries called PyGNOME.  It builds on top of the PyGTK bindings for GTK and
the PyORBit bindings for ORBit2.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package devel
Summary: files needed to build wrappers for GNOME libraries
Group: Development/Python
Requires: %name = %version-%release

%description devel
This package contains files required to build wrappers for GNOME
libraries so that they interoperate with pygnome.

%package canvas
Summary: Python bindings for the GNOME Canvas
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: gnome-python2-canvas
Provides: gnome-python2-canvas

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package bonobo
Summary: Python bindings for interacting with bonobo
Group: Development/Python
Requires: %name-canvas = %version-%release
Obsoletes: gnome-python2-bonobo
Provides: gnome-python2-bonobo

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.


%package gconf
Summary: Python bindings for interacting with GConf
Group: Development/Python
Requires: %name = %version-%release
Requires: python-module-pyorbit
Obsoletes: gnome-python2-gconf
Provides: gnome-python2-gconf

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%prep
%setup -q -n gnome-python-%version
#%patch1 -p1 -b .client-command

%build
%configure
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%doc AUTHORS ChangeLog README NEWS
%dir %python_gnome_dir
%python_gnome_dir/__init__.*
%python_gnome_dir/_gnome.so
%python_gnome_dir/ui.so
%python_gnome_dir/vfs.*
%python_sitelibdir/gtk-2.0/gnomevfs.so

%files devel
%doc examples/*
%_libdir/pkgconfig/gnome-python-2.0.pc
%_datadir/pygtk/2.0/*


%files canvas
%python_gnome_dir/canvas.*
%python_sitelibdir/gtk-2.0/gnomecanvas.so

%files bonobo
%python_sitelibdir/gtk-2.0/bonobo

%files gconf
%python_sitelibdir/gtk-2.0/gconf*


%changelog
* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version
- build with python 2.4

* Mon Jan 24 2005 Vitaly Lipatov <lav@altlinux.ru> 2.9.4-alt0.1
- new version
- remove client-command patch 
- add require for pyorbit

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt1.1
- remove version setting from subpackages
- add python-module-pygnome-nautilus in obsoletes

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt1
- new version
- some modules moved to python-pygnome-extras package

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1
- new version
- cleanup spec
- remove zvt subpackage

* Tue Jul 13 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- new version
- cleanup spec
- change group to Development/Python
- renamed
- adopted to python policy

* Thu Jan 29 2004 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt8
- libgtkhtml2 build

* Mon Dec 01 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt7
- fixed intersection with pygtk2-devel
- python23 build

* Wed Nov 12 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt6
- added obsoletes to gnome-python

* Tue Nov 11 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt5
- fixed file intersections with pkgconfig
- added gnomeprint package
- fixed intersections

* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added requires to subpackages

* Fri Oct 24 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- to %name-bonobo added dependency for %name-canvas

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher rebuild
- fixed buildrequires acording to package spec
- build w/o libgtkhtml2

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.11-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
